Debian Bug report logs - #684381
docbook-xsl: Incorrect right hand indentation for footnotes inside blockquote

version graph

Package: docbook-xsl; Maintainer for docbook-xsl is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for docbook-xsl is src:docbook-xsl.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Thu, 9 Aug 2012 09:27:04 UTC

Severity: normal

Found in version docbook-xsl/1.76.1+dfsg-1

Fixed in version docbook-xsl/1.78.1+dfsg-1

Done: Daniel Leidert <dleidert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#684381; Package docbook-xsl. (Thu, 09 Aug 2012 09:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. (Thu, 09 Aug 2012 09:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: docbook-xsl: Incorrect right hand indentation for footnotes inside blockquote
Date: Thu, 09 Aug 2012 11:26:21 +0200
[Message part 1 (text/plain, inline)]
Package: docbook-xsl
Version: 1.76.1+dfsg-1

I ran into this problem while using docbook-xsl and fop to generate a
PDF for the translated version of the Free Culture book by Lawrence
Lessig.  See
<URL: https://github.com/petterreinholdtsen/free-culture-lessig/> for
the complete source of that project.

The problem is that footnotes in a text block inside a <blockquote>
inherit the right hand indentation from the <blockquote>, instead of
having the expected indentation of other foot notes on the same page.

I see this problem with docbook-xsl version 1.76.1+dfsg-1, fop version
1:0.95.dfsg-11 and xsltproc version 1.1.26-6.  I am not sure if this
problem is with docbook-xsl or any of the other tools, so I start on the
"frontmost" package and hope you can reassign it if a better candidate
is found.

I've created an example docbook file demonstrating the problem with the
default setup for docbook-xsl and fop.  I'm attaching this file, the
generated .fo file and the PDF demonstrating the problem.

Is there anything I can do to avoid this problem without recompiling
anything?

-- 
Happy hacking
Petter Reinholdtsen
[bad-blockquote-footnote.xml (application/xml, inline)]
[bad-blockquote-footnote.fo (application/xml, attachment)]
[bad-blockquote-footnote.pdf (application/pdf, attachment)]

Added tag(s) pending. Request was from Daniel Leidert <dleidert@debian.org> to control@bugs.debian.org. (Sun, 26 May 2013 12:00:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Leidert <dleidert@debian.org>:
You have taken responsibility. (Sun, 26 May 2013 18:51:44 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Sun, 26 May 2013 18:51:45 GMT) Full text and rfc822 format available.

Message #12 received at 684381-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert <dleidert@debian.org>
To: 684381-close@bugs.debian.org
Subject: Bug#684381: fixed in docbook-xsl 1.78.1+dfsg-1
Date: Sun, 26 May 2013 18:48:52 +0000
Source: docbook-xsl
Source-Version: 1.78.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
docbook-xsl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684381@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert <dleidert@debian.org> (supplier of updated docbook-xsl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 May 2013 20:26:30 +0200
Source: docbook-xsl
Binary: docbook-xsl docbook-xsl-ns
Architecture: source all
Version: 1.78.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Daniel Leidert <dleidert@debian.org>
Description: 
 docbook-xsl - stylesheets for processing DocBook XML to various output formats
 docbook-xsl-ns - stylesheets for processing DocBook 5 XML to various output format
Closes: 207601 577807 605198 638570 650786 654338 666068 681116 684381 695742 696929 698962 703514
Changes: 
 docbook-xsl (1.78.1+dfsg-1) unstable; urgency=low
 .
   * New upstream release (closes: #696929).
     - Fixes fo:* element sequences in FO output (closes: #605198).
     - Removed passivetex extensions code (closes: #207601, #650786).
     - XHTML conversion scripts have been fixed (closes: #654338).
     - Handle book/info elements of DB5 correctly (closes:  #666068).
     - Fixed orientation of footnotes in blockquote (closes: #684381).
     - Fixed manual page output (closes: #695742).
   * debian/control: Added Multi-Arch: foreign. Dropped DM-Upload-Allowed.
     (Uploaders): Fixed my address.
     (Standards-Version): Bumped to 3.9.4.
   * debian/docbook-xsl.install, debian/docbook-xsl-ns.install: Added new and
     missing (VERSION.xsl) files.
   * debian/get-orig-source.sh: Minor fixes after upstream changed to bzip.
   * debian/rules: Install README files to documentation.
   * debian/watch: Check for bzip2 archives too (closes: #703514).
   * debian/patches/611924_html_same_ids_for_quote.patch: Dropped.
   * debian/patches/605696_fix_section_name_for_lexgrog.patch: Ditto.
   * debian/patches/577807_lang_spanish.patch: Added.
     - Fix spanish template generated text (closes: #577807).
   * debian/patches/638570_lang_russian.patch: Added.
     - Fix two translations (closes: #638570).
   * debian/patches/681116_multiarch_manpage_template.patch: Added.
     - Offer a way to omit build-time outpout to manpages (closes: #681116).
   * debian/patches/698962_fix_typo.patch: Added.
     - Fix a few typos (closes: #698962).
   * debian/patches/series: Adjusted.
Checksums-Sha1: 
 2b28d06fb54b186e4cd7df1a3e8fa29d21a21887 1534 docbook-xsl_1.78.1+dfsg-1.dsc
 b7c448460f1dc80fcd2924ca9ec33391759e8cb6 5782328 docbook-xsl_1.78.1+dfsg.orig.tar.bz2
 63cd99e026a882d943c4211768063d03c3e2c510 51814 docbook-xsl_1.78.1+dfsg-1.debian.tar.gz
 c7a696c400200da4ac5a67914bfa3e3ee502a678 2338728 docbook-xsl_1.78.1+dfsg-1_all.deb
 f2d675fb463dbbfeb2a991ef25fcc71de5710625 2328124 docbook-xsl-ns_1.78.1+dfsg-1_all.deb
Checksums-Sha256: 
 493f0c8dc417bbd2e95bff07f5b8b10a13ef0e9f445456cad216884cea760975 1534 docbook-xsl_1.78.1+dfsg-1.dsc
 0e4f9ec921a35cfea6643037f0e23f317cbb77f7b0b8cf4bd0f0e583568a32a9 5782328 docbook-xsl_1.78.1+dfsg.orig.tar.bz2
 afa937179f673ae12a6de2d429087bd76dd786b638270801f52daf5e2c70ac2d 51814 docbook-xsl_1.78.1+dfsg-1.debian.tar.gz
 d7006ce8ed7ab0e015a431199b47dfcbb1ddb00427ffa4792d2dadac237f0b41 2338728 docbook-xsl_1.78.1+dfsg-1_all.deb
 b4dede7d25358b11b1ebd860f1486edecd5b1ccc2d20abed2ef06d7c915ade56 2328124 docbook-xsl-ns_1.78.1+dfsg-1_all.deb
Files: 
 de16d2c0faf1dc424bfef84d606b0cea 1534 text optional docbook-xsl_1.78.1+dfsg-1.dsc
 7aca76563b58f4a72f518a1a9fe2ed27 5782328 text optional docbook-xsl_1.78.1+dfsg.orig.tar.bz2
 c1e6767cec0947efc7fc347e54fbc9e5 51814 text optional docbook-xsl_1.78.1+dfsg-1.debian.tar.gz
 30414f555b2f1f421fcc694873b6ffea 2338728 text optional docbook-xsl_1.78.1+dfsg-1_all.deb
 b5c60ba180f6ddc1e86f17fe9a57656f 2328124 text optional docbook-xsl-ns_1.78.1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGiVNMACgkQm0bx+wiPa4yf3ACgv/nW3jKsfEup1GbfIFP/jAUj
AT4AnR1ZDkqHDoUlHc7PVy+5LUEyqE23
=ZZ6C
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Jul 2013 07:43:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:56:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.